Subject: More on case insensitivity
From: [email-masked] (Guy Gascoigne - Piggford)

23 May 1997 15:26:32 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: "[email-masked]" <[email-masked]>
Original-Sender: [email-masked]

After more thinking about this there are quite a few places where the case
insensitivity of the file system rears it's ugly head.  What's worse they
can crop up fairly rarely, which means that I can forget to deal with them
wich leads to getting unexpected results every now and again.

e.g

Wildcard expansion in the shell would need to be case insensitive, having
to do things like:

ls *.[Zz][Ii][Pp]

simply to get this list becomes a pain.

Likewise programs such as find that do their own wildcard expansion
(perhaps they actually use the same library - I'm not sure, I don't have
the code here) also need to be made aware of this.  Again, this is a pain.

$ find -name "*.[Zz][iI][Pp]" -maxdepth 1
../Memoryan.zip
../Perf.zip
../SNIP9510.ZIP
../TABJAZZ.ZIP
../TABS.ZIP
../TCSAMP.ZIP
../TZ30.ZIP

I suspect that there are others as well.

Guy

-- 
Guy Gascoigne - Piggford ([email-masked])
Software Engineer, Informix Software, Inc. (Portland, Oregon)
(503) 225-4574,  Fax (503) 221-2633

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".